Query event facilitators
GET
/api/events/query-facilitators
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/events/query-facilitators"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"keyword\": \"example\", \"page\": 1, \"itemsPerPage\": 1, \"sort\": \"example\", \"sortDir\": \"Asc\", \"projectId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"parentEventId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"facilitatorTypeId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"eventTypeIds\": [ \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" ], \"eventCategories\": [ \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" ], \"facilitatorCategories\": [ \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" ], \"approvalStatus\": \"Proposed\", \"eventStatus\": \"Tentative\", \"eventPublished\": true, \"aiResult\": true, \"useSearchService\": true, \"includEmailInSearch\": true }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/events/query-facilitators';const options = { method: 'GET', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"keyword":"example","page":1,"itemsPerPage":1,"sort":"example","sortDir":"Asc","projectId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","parentEventId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","facilitatorTypeId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","eventTypeIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"eventCategories":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"facilitatorCategories":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"approvalStatus":"Proposed","eventStatus":"Tentative","eventPublished":true,"aiResult":true,"useSearchService":true,"includEmailInSearch":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/events/query-facilitators \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "keyword": "example", "page": 1, "itemsPerPage": 1, "sort": "example", "sortDir": "Asc", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "parentEventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "facilitatorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "eventTypeIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "eventCategories": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "facilitatorCategories": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "approvalStatus": "Proposed", "eventStatus": "Tentative", "eventPublished": true, "aiResult": true, "useSearchService": true, "includEmailInSearch": true }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”The request details.
object
keyword
null | string
page
integer | string format: int64
itemsPerPage
null | integer | string format: int64
sort
null | string
sortDir
projectId
string format: uuid
parentEventId
null | string format: uuid
facilitatorTypeId
null | string format: uuid
eventTypeIds
Array<string> | null
eventCategories
Array<string> | null
facilitatorCategories
Array<string> | null
eventPublished
null | boolean
aiResult
boolean
useSearchService
boolean
includEmailInSearch
boolean
object
keyword
null | string
page
integer | string format: int64
itemsPerPage
null | integer | string format: int64
sort
null | string
sortDir
projectId
string format: uuid
parentEventId
null | string format: uuid
facilitatorTypeId
null | string format: uuid
eventTypeIds
Array<string> | null
eventCategories
Array<string> | null
facilitatorCategories
Array<string> | null
eventPublished
null | boolean
aiResult
boolean
useSearchService
boolean
includEmailInSearch
boolean
object
keyword
null | string
page
integer | string format: int64
itemsPerPage
null | integer | string format: int64
sort
null | string
sortDir
projectId
string format: uuid
parentEventId
null | string format: uuid
facilitatorTypeId
null | string format: uuid
eventTypeIds
Array<string> | null
eventCategories
Array<string> | null
facilitatorCategories
Array<string> | null
eventPublished
null | boolean
aiResult
boolean
useSearchService
boolean
includEmailInSearch
boolean
Responses
Section titled “Responses”OK
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
url
null | string
phone
null | string
contactInformation
null | string
jobTitle
null | string
company
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
tags
null | string
externalId
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
descriptors
null | string
facilitatorKind
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
sort
null | string
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
url
null | string
phone
null | string
contactInformation
null | string
jobTitle
null | string
company
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
tags
null | string
externalId
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
descriptors
null | string
facilitatorKind
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
sort
null | string
Example
{ "data": [ { "facilitatorKind": "Person" } ], "sortDir": "Asc", "request": { "sortDir": "Asc" }}object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
url
null | string
phone
null | string
contactInformation
null | string
jobTitle
null | string
company
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
tags
null | string
externalId
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
descriptors
null | string
facilitatorKind
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
sort
null | string
Example
{ "data": [ { "facilitatorKind": "Person" } ], "sortDir": "Asc", "request": { "sortDir": "Asc" }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}